FIXHEADTAILS.ECLASS(5)

NAME
fixheadtails - functions for replacing obsolete head/tail invocations with newer POSIX compliant ones.

DESCRIPTION
The fixheadtails eclass contains functions for parsing file(s) and replacing obsolete head/tail invocations in the form similar to:

head -# <file>

with the newer POSIX compliant form of:

head -n# <file>

FUNCTIONS
NOTE: these functions are usually used in the src_unpack function.

ht_fix_file <file1> [file2] [file3] [...]
    Fixes head/tail invocations in specific files.

ht_fix_all
    Scans the current directory (recursively), calling ht_fix_file for each file that contains an obsolete head/tail invocation.

REPORTING BUGS
Please report bugs via http://bugs.gentoo.org/

SEE ALSO
ebuild(5)

FILES
/usr/portage/eclass/fixheadtails.eclass

AUTHORS
Aaron Walker <ka0ttic@gentoo.org>

CVS HEADER
$Header: /var/cvsroot/gentoo-src/portage/man/fixheadtails.eclass.5,v 1.3 2004/09/17 00:17:10 vapier Exp $